- Qt 5.15
- Qt Sensors
- C++ Classes
- QTiltSensor
- Qt 5.15.11 Reference Documentation

# QTiltSensor Class

The QTiltSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QTiltSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QTiltSensor(QObject *parent = Q_NULLPTR)
virtual | ~QTiltSensor()
void | calibrate()
QTiltReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.QMetaObject::invokeMethod(backend(), "calibrate");

This class also features a reading() function that returns a QTiltReading instead of a QSensorReading.

For details about how the sensor works, see QTiltReading.

See also QTiltReading.

## Member Function Documentation

### QTiltSensor::QTiltSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QTiltSensor::~QTiltSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### void QTiltSensor::calibrate()

Calibrates the tilt sensor. Uses the current tilt angles as 0.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### QTiltReading *QTiltSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().